> ## Documentation Index
> Fetch the complete documentation index at: https://www.cashfree.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Cashgram

> Use this API to create a Cashgram.



## OpenAPI

````yaml post /payout/v1/createCashgram
openapi: 3.0.0
info:
  title: Payouts
  version: 3.0.0
servers:
  - url: https://payout-api.cashfree.com
    description: Production
  - url: https://payout-gamma.cashfree.com
    description: Sandbox
security:
  - {}
paths:
  /payout/v1/createCashgram:
    post:
      summary: Create Cashgram
      description: Use this API to create a Cashgram.
      operationId: create-cashgram1
      parameters:
        - name: Authorization
          in: header
          description: Bearer auth token
          required: true
          style: simple
          explode: false
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/json
          required: true
          style: simple
          explode: false
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1_createCashgram_body'
      responses:
        '200':
          description: '200'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_200_8'
        '409':
          description: '409'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/inline_response_409_1'
      deprecated: false
      security: []
components:
  schemas:
    v1_createCashgram_body:
      required:
        - amount
        - cashgramId
        - linkExpiry
        - name
        - phone
      type: object
      properties:
        cashgramId:
          type: string
          description: >-
            Unique ID of the Cashgram. Alphanumeric, underscore (_), and hyphen
            (-) allowed (35 character limit).
        amount:
          type: number
          description: Amount to be transferred, >= 1.00.
          format: float
        name:
          type: string
          description: >-
            Name of the contact. Only alphanumeric, whitespace ( ), period (.),
            hyphen ( - ), slash (/), and ampersand ( & ) are allowed - (100
            character limit).
        email:
          type: string
          description: >-
            Email of the contact. String in email id format should contain @ and
            dot(.) - (200 character limit).
        phone:
          type: string
          description: >-
            Phone number of the contact. Phone number registered in India (only
            digits, 8 - 12 characters after stripping +91).
        linkExpiry:
          type: string
          description: >-
            Date to expire the cashgram link, Date format YYYY/MM/DD, maximum 30
            days from the date of creation.
        remarks:
          type: string
          description: >-
            Specify remarks, if any. Only alphanumeric and whitespaces ( ) are
            allowed.
        notifyCustomer:
          type: boolean
          description: If value is 1, a link is sent to customers phone and email.
        payoutType:
          type: string
          description: >-
            Specifies the type of payout to the customer. Example: Refund,
            Repayment, etc.
    inline_response_200_8:
      type: object
      properties:
        status:
          type: string
          description: It represents the status of the API request.
          example: SUCCESS
        subCode:
          type: string
          description: It represents the subcode of the API request.
          example: '200'
        message:
          type: string
          description: It displays details about the success or failure of the API request.
          example: Cashgram Created
        data:
          $ref: '#/components/schemas/inline_response_200_8_data'
    inline_response_409_1:
      type: object
      properties:
        status:
          type: string
          example: ERROR
        subCode:
          type: string
          example: '409'
        message:
          type: string
          example: Cashgram with id JOHaN10 already exists
    inline_response_200_8_data:
      type: object
      properties:
        referenceId:
          type: integer
          example: 123456
          default: 0
        cashgramLink:
          type: string
          example: http://csgr.am/abcdefg

````